Main Page Class Hierarchy Compound List File List Compound Members File Members

# PackageSelector Class Reference

This FileScanner actor accumulates all found packages into a cmt_string_vector. More...

Inheritance diagram for PackageSelector

[legend]
Collaboration diagram for PackageSelector:

[legend]
List of all members.

## Public Methods
| PackageSelector (CmtSystem::cmt_string_vector& uses)
void | run (const cmt_string& package, const cmt_string& version, const cmt_string& path)
## Private Attributes
CmtSystem::cmt_string_vector& | m_uses

## Detailed Description

This FileScanner actor accumulates all found packages into a cmt_string_vector.

Definition at line 125 of file cmt_parser.cxx.

## Constructor & Destructor Documentation

PackageSelector::PackageSelector ( | CmtSystem::cmt_string_vector & uses )

| Definition at line 376 of file cmt_parser.cxx.
    00376                                                                   : m_uses(uses)
    00377 {
    00378 }

## Member Function Documentation

void PackageSelector::run ( | const cmt_string & package,
| const cmt_string & version,
| const cmt_string & path )`[virtual]`

| Reimplemented from FileScanner::actor. Definition at line 381 of file cmt_parser.cxx.
    00384 {
    00385   cmt_string temp;
    00386
    00387   temp = path;
    00388   //temp += "/";
    00389   //temp += package;
    00390   temp += "/";
    00391   temp += version;
    00392   temp += "/cmt/requirements";
    00393
    00394   if (!CmtSystem::test_file (temp))
    00395     {
    00396       temp.replace ("/cmt/", "/mgr/");
    00397       if (!CmtSystem::test_file (temp))
    00398         {
    00399           return;
    00400         }
    00401     }
    00402
    00403   temp.replace ("/requirements", "");
    00404   cmt_string& use = m_uses.add ();
    00405   use = temp;
    00406 }

## Member Data Documentation

CmtSystem::cmt_string_vector & PackageSelector::m_uses`[private]`

| Definition at line 133 of file cmt_parser.cxx.

The documentation for this class was generated from the following file:

- cmt_parser.cxx